/*	SC2004 only
 *	LCD interface header file
 *	See lcd.c for more info
 */
 
//__delay_xx frequency set
#define MHz 000000
#define _XTAL_FREQ 8MHz

//LCD address set
#define LCD_start_loc1	0x00
#define LCD_start_loc2	0x40
#define LCD_start_loc3	0x14
#define LCD_start_loc4	0x54

#define LCD_end_loc1	0x13
#define LCD_end_loc2	0x53
#define LCD_end_loc3	0x27
#define LCD_end_loc4	0x67
#define LCD_lineSize	20

#define UP		1
#define	DOWN	2
#define	LEFT	4
#define	RIGHT	8

//LCD location parameter
//LCD drive for SC1602BS 16 columns 2 lines 
#define	LCD_LineNumber1	0x00
#define	LCD_LineNumber2	0x40
#define	LCD_CursorBlink	0x0f
#define	LCD_CursorOn	0x0e
#define	LCD_CursorOff	0x0c


/* write a byte to the LCD in 4 bit mode */

extern void lcd_write(unsigned char);

/* Clear and home the LCD */

extern void lcd_clear(void);

/* write a string of characters to the LCD */

extern void lcd_puts(const char * s);

/* Go to the specified position */

extern void lcd_goto(unsigned char pos);
	
/* intialize the LCD - call before anything else */

extern void lcd_init(void);

extern void lcd_putch(unsigned char);

/*	Set the cursor position */

#define	lcd_cursor(x)	lcd_write(((x)&0x7F)|0x80)

/*	Now LCD position memory */

unsigned int lcd_loccnt=0;	//fix by air variable 2009/11/17

/* CG RAM write data set */
extern void lcd_cgwrite(unsigned char);

//LCD new line 
extern void lcd_newline(unsigned char);

//LCD space full
void lcd_space_full(unsigned char);

//void lcd_cursor
extern void lcd_move(unsigned char arrow);
